## EPreferencesWindow

EPreferencesWindow

## Functions

GtkWidget * | e_preferences_window_new ()
gpointer | e_preferences_window_get_shell ()
void | e_preferences_window_setup ()
void | e_preferences_window_add_page ()
void | e_preferences_window_show_page ()

## Signals

void | close | Action

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── EPreferencesWindow

## Description

## Functions

### e_preferences_window_new ()

    GtkWidget *
    e_preferences_window_new (gpointer shell);

### e_preferences_window_get_shell ()

    gpointer
    e_preferences_window_get_shell (EPreferencesWindow *window);

### e_preferences_window_setup ()

    void
    e_preferences_window_setup (EPreferencesWindow *window);

### e_preferences_window_add_page ()

    void
    e_preferences_window_add_page (EPreferencesWindow *window,
                                   const gchar *page_name,
                                   const gchar *icon_name,
                                   const gchar *caption,
                                   const gchar *help_target,
                                   EPreferencesWindowCreatePageFn create_fn,
                                   gint sort_order);

### e_preferences_window_show_page ()

    void
    e_preferences_window_show_page (EPreferencesWindow *window,
                                    const gchar *page_name);

## Signal Details

### The `“close”` signal

    void
    user_function (EPreferencesWindow *epreferenceswindow,
                   gpointer            user_data)

GtkBindingSignal which gets emitted when the user uses a keybinding to close the dialog.

The default binding for this signal is the Escape key.

#### Parameters

user_data | user data set when the signal handler was connected. |

Flags: Action